/**
 * 徐祥健<xuxj@hugeinfo.com.cn>
 * 2018年7月17日 16:41
 *
 */


import React from 'react';
import user from '../../asset/icons/user.svg';
import { Button } from 'antd'
import './style.scss';

export default function TableHeadView({ type, name, children, btnName, onClick }) {
  return (
    <React.Fragment>
      {type == "infoManage" ?
        <div className="table-head-view-btn">
          <Button type="primary" size='large' onClick={onClick}>{btnName}</Button>
        </div>
        :
        null
      }
      <div className="table-head-view-main">
        {type == "infoManage" ? <div className="table-head-view-type"><img src={user} style={{ width: '16px', marginRight: '5px' }} />{name}</div> : null
        }
        <div className="table-head-view-count">{children}</div>
      </div>
    </React.Fragment>
  );

}
